#' lazy.andor: Generation of string infix operators
#'
#'
#'
#' This package generates infix operators: `&`, `&&`, `|`, `||`, \cr
#' which are almost equivalent to, resp, `\%&\%`, `\%&&\%`, `\%|\%`, `\%||\%`
#' \cr in the package lazy.tools. \cr\cr
#' The difference is that `&` has precedence over `|``  but `\%&\%`` does NOT.
#' \cr
#' Therefore, it is better to use parentheses.
#' \cr
#' \cr
#' See the descriptions of And, Or, and Not in the package lazy.tools.
#' \cr\cr
#' \code{ "a" & "b" } is equivalent to  \code{And( "a", "b" )}
#' and generates \code{"(a) & (b)"}.\cr
#' \code{"a" && "b"} is equivalent to  \code{And( "a", "b", oper="&&" )}
#' and generates \code{"(a) && (b)"}.\cr
#' \code{ "a" | "b" } is equivalent to \code{Or( "a", "b" )}
#' and generates \code{"(a) | (b)"}.\cr
#' \code{ "a" || "b"} is equivalent to  \code{Or( "a", "b", oper="||" )}
#' and generates \code{"(a) || (b)"}.\cr
#' \cr
#' Note that `&` has precedence over `|``  but `\%&\%`` does NOT.
#' \cr\cr
#' Use \code{eval( parse(text=condition) )} to evaluate the expression.
#' \cr
#' \cr
#' To remove these operators: \cr
#'  \code{ detach("package:lazy.andor", unload=TRUE) }
#' \cr
#'
#'
#' @docType package
#' @name lazy.andor
NULL
