% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/andor.R
\name{andor}
\alias{andor}
\alias{&}
\alias{|}
\alias{&&}
\alias{||}
\title{Generation of string infix operators}
\usage{
andor(A, B)

"&"(A, B = NULL)

"|"(A, B = NULL)

"&&"(A, B = NULL)

"||"(A, B = NULL)
}
\arguments{
\item{A}{The first argument}

\item{B}{The second argument}
}
\value{
a string
}
\description{
Generation of string infix operators
}
\details{
This package generates infix operators: `&`, `&&`, `|`, `||`, \cr
which are almost equivalent to, resp, `\%&\%`, `\%&&\%`, `\%|\%`, `\%||\%`
\cr in the package lazy.tools. \cr\cr
The difference is that `&` has precedence over `|``  but `\%&\%`` does NOT.
\cr
Therefore, it is better to use parentheses.
\cr
\cr
See the descriptions of And, Or, and Not in the package lazy.tools.
\cr\cr
\code{ "a" & "b" } is equivalent to  \code{And( "a", "b" )}
and generates \code{"(a) & (b)"}.\cr
\code{"a" && "b"} is equivalent to  \code{And( "a", "b", oper="&&" )}
and generates \code{"(a) && (b)"}.\cr
\code{ "a" | "b" } is equivalent to \code{Or( "a", "b" )}
and generates \code{"(a) | (b)"}.\cr
\code{ "a" || "b"} is equivalent to  \code{Or( "a", "b", oper="||" )}
and generates \code{"(a) || (b)"}.\cr
\cr
Note that `&` has precedence over `|``  but `\%&\%`` does NOT.
\cr\cr
Use \code{eval( parse(text=condition) )} to evaluate the expression.
\cr
\cr
To remove these operators: \cr
 \code{ detach("package:lazy.andor", unload=TRUE) }
}
\examples{

"a" & "b"
And( "a", "b" )
"a" | "b"
Or( "a", "b" )

"a" | "b" & "c"
"a" \%|\% "b" \%&\% "c"

"a" & "b" | "c"
"a" \%&\% "b" \%|\% "c"

}
